Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPaint2D

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIPaint2D

All Implemented Interfaces:
  javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlPaint2D

    public abstract class UIPaint2D

extends javax.faces.component.UIComponentBase

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIPaint2D()`

Method Summary
`abstract java.lang.String` | `getBgcolor()` Getter for property bgcolor - background color of painted image
`abstract java.lang.Object` | `getData()` Getter for property Data to store in URL and passed to pain method. can be used as cache key or parameter for image generation., implementation will be generated by components-generator
`abstract java.lang.String` | `getFormat()` Getter for property output format of image ( suport gif,jpeg,png), implementation will be generated by components-generator
`abstract int` | `getHeight()` Getter for property image height, implementation will be generated by components-generator
`abstract javax.faces.el.MethodBinding` | `getPaint()` Getter for property Paint methodBinding, implementation will be generated by components-generator
`abstract int` | `getWidth()` Getter for property image width, implementation will be generated by components-generator
`abstract boolean` | `isCacheable()` Getter for property cache support, implementation will be generated by components-generator
`abstract void` | `setBgcolor(java.lang.String color)` Setter for property bgcolor - background color of painted image
`abstract void` | `setCacheable(boolean newvalue)` Setter for property cache support, implementation will be generated by components-generator
`abstract void` | `setData(java.lang.Object newvalue)` Setter for property Data to store in URL and passed to pain method. can be used as cache key or parameter for image generation., implementation will be generated by components-generator
`abstract void` | `setFormat(java.lang.String newvalue)` Setter for property output format of image ( suport gif,jpeg,png), implementation will be generated by components-generator
`abstract void` | `setHeight(int newvalue)` Setter for property image height, implementation will be generated by components-generator
`abstract void` | `setPaint(javax.faces.el.MethodBinding newvalue)` Setter for property Paint methodBinding, implementation will be generated by components-generator
`abstract void` | `setWidth(int newvalue)` Setter for property image width, implementation will be generated by components-generator

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIPaint2D

    public UIPaint2D()

Method Detail

### getPaint

    public abstract javax.faces.el.MethodBinding getPaint()

  Getter for property Paint methodBinding, implementation will be generated by components-generator

  Returns:
    property value

### setPaint

    public abstract void setPaint(javax.faces.el.MethodBinding newvalue)

  Setter for property Paint methodBinding, implementation will be generated by components-generator

  Parameters:
    `newvalue` - - new property value

### isCacheable

    public abstract boolean isCacheable()

  Getter for property cache support, implementation will be generated by components-generator

  Returns:
    property value

### setCacheable

    public abstract void setCacheable(boolean newvalue)

  Setter for property cache support, implementation will be generated by components-generator

  Parameters:
    `newvalue` - - new property value

### getWidth

    public abstract int getWidth()

  Getter for property image width, implementation will be generated by components-generator

  Returns:
    property value

### setWidth

    public abstract void setWidth(int newvalue)

  Setter for property image width, implementation will be generated by components-generator

  Parameters:
    `newvalue` - - new property value

### getHeight

    public abstract int getHeight()

  Getter for property image height, implementation will be generated by components-generator

  Returns:
    property value

### setHeight

    public abstract void setHeight(int newvalue)

  Setter for property image height, implementation will be generated by components-generator

  Parameters:
    `newvalue` - - new property value

### getFormat

    public abstract java.lang.String getFormat()

  Getter for property output format of image ( suport gif,jpeg,png), implementation will be generated by components-generator

  Returns:
    property value

### setFormat

    public abstract void setFormat(java.lang.String newvalue)

  Setter for property output format of image ( suport gif,jpeg,png), implementation will be generated by components-generator

  Parameters:
    `newvalue` - - new property value

### getData

    public abstract java.lang.Object getData()

  Getter for property Data to store in URL and passed to pain method. can be used as cache key or parameter for image generation., implementation will be generated by components-generator

  Returns:
    property value

### setData

    public abstract void setData(java.lang.Object newvalue)

  Setter for property Data to store in URL and passed to pain method. can be used as cache key or parameter for image generation., implementation will be generated by components-generator

  Parameters:
    `newvalue` - - new property value

### getBgcolor

    public abstract java.lang.String getBgcolor()

  Getter for property bgcolor - background color of painted image

  Returns:

### setBgcolor

    public abstract void setBgcolor(java.lang.String color)

  Setter for property bgcolor - background color of painted image

  Parameters:
    `color` - -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.